BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 02-24-2009, 09:43 PM   #1 (permalink)
New Member
 
Join Date: Feb 2009
Model: 9530
PIN: N/A
Carrier: Verizon
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Moved information store

Please Login to Remove!

Hi everyone. We just moved our information store to a different drive for size reasons. Now for some reason when we try to start the MDS service it says that the system could not find the environment option that was specified. I've looked through some of the forums and could not find anything that fits. The ImagePath at HKLM\System\CurrentControlSet\Services\Blackberry MDS Connection Service is ""D:\Program Files\Research In Motion\BlackBerry Enterprise Server\MDS\bin\bmds.exe" -s jvmpath="C:\Program Files\Java\jre1.5.0_11\bin\client\jvm.dll" -XX:+DisableExplicitGC -Xss64K -Xmx768M -Xms128M classpathdir="D:\Program Files\Research In Motion\BlackBerry Enterprise Server\MDS\classpath\\" wrkdir="D:\Program Files\Research In Motion\BlackBerry Enterprise Server\MDS\Servers\OURSERVERNAME\\" webserverdir="D:\Program Files\Research In Motion\BlackBerry Enterprise Server\MDS\webserver\\" -rbes "OURSERVERNAME_MDS-CS_1" "

Any assistance would be appreciated
Offline  
Old 02-25-2009, 04:48 AM   #2 (permalink)
Feeling Blue, Bigly ;->
 
stuwhite's Avatar
 
Join Date: Jan 2007
Location: U to the K
Model: 9000
PIN: 3, it's the magic number
Carrier: Most of them, it's a Global Village man!
Posts: 1,273
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I am not 100% but this sounds like you are running the wrong version of the JRE as I got something similar once when I was on 4.0 and our security guys updated the JRE . If you are on 4.0, uninstall the JRE you have, get back to the correct version (1.4.2 I think) and IIRC you need to do a reg hack to fix the keys but that error is definitly on this forum somewhere as this is where I found the fix.

If you are 4.1 it could still apply but with 4.1 you need to to be on the JRE which ships with the last SP/MR you are using.
__________________
I was a BES and Exchange admin once.
Then my world turned Blue.

Last edited by stuwhite : 02-25-2009 at 04:51 AM. Reason: corrected JRE version
Offline  
Old 02-25-2009, 04:55 AM   #3 (permalink)
Feeling Blue, Bigly ;->
 
stuwhite's Avatar
 
Join Date: Jan 2007
Location: U to the K
Model: 9000
PIN: 3, it's the magic number
Carrier: Most of them, it's a Global Village man!
Posts: 1,273
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Did a quick search for you and although this isn't the actual answer, it does show how to set your reg keys back to match the correct installation of JRE if you wiped out 1.4.2 on a 4.0 BES and need to reinstall 1.4.2.

Upgrading JRE from 1.4.2_03 to 1.4.2_07 or greater
__________________
I was a BES and Exchange admin once.
Then my world turned Blue.
Offline  
Old 02-25-2009, 08:34 AM   #4 (permalink)
New Member
 
Join Date: Feb 2009
Model: 9530
PIN: N/A
Carrier: Verizon
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Reinstalled JRE and it's working. Thanks.
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.